journal_lock_updates
Prev | Transasction Level | Next

## Name

journal_lock_updates — establish a transaction barrier.

## Synopsis

`void journal_lock_updates (` | journal_t * | journal`)`;

## Arguments

`journal`

  Journal to establish a barrier on.

## Description

This locks out any further updates from being started, and blocks until all existing updates have completed, returning only once the journal is in a quiescent state with no updates running.

The journal lock should not be held on entry.

Prev | Up | Next
journal_restart | Home | journal_unlock_updates